package com.oss.apache_wink;

import java.io.File;
import java.io.IOException;

import org.apache.commons.io.FileUtils;
import org.apache.wink.client.ClientResponse;
import org.apache.wink.client.RestClient;
import org.apache.wink.common.model.multipart.BufferedOutMultiPart;
import org.apache.wink.common.model.multipart.OutPart;

public class _3_20_apache_wink {
	public static final String API_KEY = "your_api_key";
	public static final String API_URL = "https://sandbox.e-signlive.ca/api";
	
	public static void main(String[] args) throws IOException {
	        File file = new File("your_file_path\\4pages - Copy (2).pdf");
	        String fileName = file.getName();
	        
	        BufferedOutMultiPart requestEntity = new BufferedOutMultiPart();
	        
	        OutPart file1Part = new OutPart();
	        file1Part.addHeader("Content-Disposition", "form-data; name=\"file\"; filename=\"" + fileName + "\"");
	        file1Part.setContentType("application/pdf");
	        file1Part.setBody(FileUtils.readFileToByteArray(file));
	        requestEntity.addPart(file1Part);
	        
	        OutPart payloadPart = new OutPart();
	        payloadPart.addHeader("Content-Disposition", "form-data; name=\"payload\"");
	        payloadPart.setBody("{\"status\":\"SENT\",\"description\":\"New Package\",\"language\":\"en\",\"roles\":[{\"id\":\"Role1\",\"signers\":[{\"company\":\"OneSpan Sign\",\"firstName\":\"1.firstname\",\"lastName\":\"1.lastname\",\"email\":\"signer1@mailinator.com\"}]},{\"id\":\"Role2\",\"signers\":[{\"company\":\"OneSpan Sign\",\"firstName\":\"2.firstname\",\"lastName\":\"2.lastname\",\"email\":\"signer2@mailinator.com\"}]}],\"autocomplete\":true,\"emailMessage\":\"\",\"documents\":[{\"approvals\":[{\"role\":\"Role1\",\"fields\":[{\"page\":0,\"top\":100,\"subtype\":\"FULLNAME\",\"height\":50,\"left\":100,\"width\":200,\"type\":\"SIGNATURE\"}]},{\"role\":\"Role2\",\"fields\":[{\"page\":0,\"top\":300,\"subtype\":\"FULLNAME\",\"height\":50,\"left\":100,\"width\":200,\"type\":\"SIGNATURE\"}]}],\"name\":\"Test Document\"}],\"name\":\"Example Package\",\"type\":\"PACKAGE\"}");
	        requestEntity.addPart(payloadPart);
	        
	        
	        String boundary = "simple boundary";
	        
	        ClientResponse response = new RestClient().resource(API_URL + "/packages")
	                        .header("Content-Type", "multipart/form-data; boundary=" + boundary)
	                        .header("Authorization", "Basic " + API_KEY)
	                        .post(requestEntity);
	        System.out.println(response.getStatusCode());
	        System.out.println(response.getMessage());
		
		
		
	}
}
